Skip to main content
POST
/
crm
/
v3
/
extensions
/
cards-dev
/
{appId}
/
views
/
migrate
Migrate Card In Views
curl --request POST \
  --url https://api.hubapi.com/crm/v3/extensions/cards-dev/{appId}/views/migrate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "allowDuplicateAppCardIds": true,
  "appCardId": 123,
  "legacyCrmCardId": 123,
  "helpdeskAppCardId": 123
}
'
{
  "message": "<string>",
  "endedAt": 123,
  "remainingPortalCount": 123,
  "startedAt": 123,
  "totalPortalCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

appId
integer<int32>
required

The id of the app containing the Legacy CRM Card

Body

application/json
allowDuplicateAppCardIds
boolean
required

Defaults to false. This allow more than one Legacy CRM Card Migration to point to the same extension card. This is prevented by default to avoid accidental consolidation of cards.

appCardId
integer<int64>
required

The id of the App Card to replace the Legacy CRM Card in views

legacyCrmCardId
integer<int64>
required

The id of the Legacy CRM Card to swap

helpdeskAppCardId
integer<int64>

The id of the Helpdesk App Card to replace the Legacy CRM Card in Helpdesk views. Only necessary if the Legacy CRM Card supported tickets, as then it would have been available on helpdesk views.

Response

successful operation

message
string
required

A human readable message describing the error along with remediation steps where appropriate

endedAt
integer<int64>

The timestamp for when the migration ended.

remainingPortalCount
integer<int64>

The number of portals that remain to be swapped from the Legacy CRM Card to the App Card

startedAt
integer<int64>

The timestamp for when the migration started.

totalPortalCount
integer<int64>

The total number of portals that have access to the Legacy CRM Card

Last modified on May 11, 2026